Php Pdf Add-ons - Defect #944
Defect # 828 (Closed): Support for PHP7

PDF result differences between PHP5 and PHP7(fpdf)
09/10/2016 03:23 PM - Andrei Bintintan

Status: Closed Start date: 09/10/2016
Priority: Normal Due date:

Assignee: Andrei Bintintan % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

The unit-tests reveals that the PHP7 produces a slightly different PDF compared to the PHP5 version. The PDF itself is identical, as
it seems that the additional content is "empty", for example:
See attached screenshot.

History

#1 - 09/10/2016 03:28 PM - Andrei Bintintan
- Subject changed from PDF result differences between PHP5 and PHP7 to PDF result differences between PHP5 and PHP7(fpdf)

- Description updated

The reason seems to come from the MultiCell function in FPDF. | haven't investigated WHY, but a substring in php5 returns false, whereas in php7

n

returns "".

Solution: convert ->Cell calls to string.

#2 - 09/10/2016 06:02 PM - Andrei Bintintan

- Status changed from In Progress to Resolved

Solved with #954

#3 - 09/12/2016 11:48 AM - Andrei Bintintan

- Status changed from Resolved to Closed
